<div style="margin-bottom: 15px;">
    <h4>
        <span>TARGET PRODUKSI</span>
    </h4>
    <br>
    <div>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Bulan</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-dropdown [options]="bulans" [(ngModel)]="selectBulan" id="field_PIC"
                                        [style]="{'width':'100%'}">
                                    </p-dropdown>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Tahun</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-dropdown [options]="tahuns" [(ngModel)]="selectTahun" id="field_PIC"
                                        [style]="{'width':'100%'}">
                                    </p-dropdown>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-6">
                                    <div class="form-group">
                                        <label for="field_KdBarang">Kode Produk</label>
                                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                            (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs"
                                            [minLength]="1" [filter]="true" filterBy="label" field="kdBahan"
                                            placeholder="Please Select Or Insert" [dropdown]="true"
                                            (onSelect)="selectBarang(true)">
                                        </p-autoComplete>
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <div class="form-group">
                                        <label for="field_barang">Nama Produk</label>
                                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                            (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs"
                                            [minLength]="1" field="nmBahan" placeholder="Please Select Or Insert"
                                            [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                                    </div>
                                </div>
                            </div>
                            <br>
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <br>
    <br>
    <p-dataTable [value]="purchaseOrders" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        [(first)]="first" row="itemsPerPage" totalRecords="totalItems" dataKey="idrofo" expandableRows="false"
        rowHover="true" (onLazyLoad)="loadDataLazy($event)"
        sortMode="multiple">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/create-new-target']"><i class="fa fa-plus"></i> &nbsp;Tambah Banyak Target Produk</a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/edit-target-produksi-all']"><i class="fa fa-pencil"></i> &nbsp;Edit Banyak Target Produk</a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)"
                        *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()"
                        *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column field="No" header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column field="no" header="Kode Produk">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.kd_group}} - {{rowData.kd_produk}}
            </ng-template>
        </p-column>
        <p-column field="no" header="Nama Produk">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nm_produk}}
            </ng-template>
        </p-column>
        <p-column field="qty1" header="Minggu Ke - 1">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty1 | number:'1.0-2'}}
            </ng-template>
        </p-column>
        <p-column field="qty2" header="Minggu Ke - 2">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty2 | number:'1.0-2'}}
            </ng-template>
        </p-column>
        <p-column field="qty3" header="Minggu Ke - 3">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty3 | number:'1.0-2'}}
            </ng-template>
        </p-column>
        <p-column field="qty4" header="Minggu Ke - 4">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty4 | number:'1.0-2'}}
            </ng-template>
        </p-column>
        <p-column field="qty5" header="Minggu Ke - 5">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty5 | number:'1.0-2'}}
            </ng-template>
        </p-column>
        <p-column field="bulan" header="Bulan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bulan}}
            </ng-template>
        </p-column>
        <p-column field="tahun" header="Tahun">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tahun}}
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                    [routerLink]="['../target-produksi-edit/0/' + page + '/' + rowData.id_target + '/edit']"
                    icon="fa-pencil" pTooltip="Detail Produk" class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>